Package ietf.params.xml.ns.icalendar_2

# Class RequestStatusPropType

java.lang.Object
ietf.params.xml.ns.icalendar_2.BasePropertyType
ietf.params.xml.ns.icalendar_2.RequestStatusPropType

public class RequestStatusPropType extends BasePropertyType

Java class for RequestStatusPropType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="RequestStatusPropType">
       <complexContent>
         <extension base="{urn:ietf:params:xml:ns:icalendar-2.0}BasePropertyType">
           <sequence>
             <element name="code" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="description" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="extdata" type="{http://www.w3.org/2001/XMLSchema}string"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `code`
  `protected String`
  `description`
  `protected String`
  `extdata`

  ### Fields inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `parameters`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RequestStatusPropType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Gets the value of the code property.
  `String`
  `getDescription()`
  Gets the value of the description property.
  `String`
  `getExtdata()`
  Gets the value of the extdata property.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setDescription(String value)`
  Sets the value of the description property.
  `void`
  `setExtdata(String value)`
  Sets the value of the extdata property.

  ### Methods inherited from class ietf.params.xml.ns.icalendar_2.BasePropertyType

  `getParameters, setParameters`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### code

    protected String code

  - ### description

    protected String description

  - ### extdata

    protected String extdata

- ## Constructor Details

  - ### RequestStatusPropType

    public RequestStatusPropType()

- ## Method Details

  - ### getCode

    public String getCode()
    Gets the value of the code property.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`

  - ### getDescription

    public String getDescription()
    Gets the value of the description property.
    Returns:
      possible object is `String`

  - ### setDescription

    public void setDescription(String value)
    Sets the value of the description property.
    Parameters:
      `value` - allowed object is `String`

  - ### getExtdata

    public String getExtdata()
    Gets the value of the extdata property.
    Returns:
      possible object is `String`

  - ### setExtdata

    public void setExtdata(String value)
    Sets the value of the extdata property.
    Parameters:
      `value` - allowed object is `String`